%global base_name       fileupload
%global short_name      commons-%{base_name}

Name:             apache-%{short_name}
Version:          1.3
%define subrel	  1
Release:          %mkrel 5
Summary:          This package provides an api to work with html file upload
License:          ASL 2.0
Group:            Development/Java
URL:              http://commons.apache.org/%{base_name}/
Source0:          http://www.apache.org/dist/commons/%{base_name}/source/%{short_name}-%{version}-src.tar.gz
BuildArch:        noarch

# Backported from upstream revision 1565143
Patch0:		  %{name}-CVE-2014-0050.patch
Patch1:           %{name}-portlet20.patch

BuildRequires:    java-devel >= 1:1.6.0
BuildRequires:    maven-local
BuildRequires:    junit >= 0:3.8.1
BuildRequires:    servlet
BuildRequires:    apache-commons-io
BuildRequires:    maven-antrun-plugin
BuildRequires:    maven-assembly-plugin
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-doxia-sitetools
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-plugin-bundle
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    portlet-2.0-api

Requires:         java >= 1:1.6.0
Requires:         jpackage-utils
Requires:         apache-commons-io
Requires:         portlet-2.0-api

Provides:         jakarta-%{short_name} = 1:%{version}-%{release}
Obsoletes:        jakarta-%{short_name} < 1:1.2.1-2

%description
The javax.servlet package lacks support for rfc 1867, html file
upload.  This package provides a simple to use api for working with
such data.  The scope of this package is to create a package of Java
utility classes to read multipart/form-data within a
javax.servlet.http.HttpServletRequest

%package javadoc
Summary:          API documentation for %{name}
Group:            Documentation
Requires:         jpackage-utils

Obsoletes:        jakarta-%{short_name}-javadoc < 1:1.2.1-2

%description javadoc
This package contains the API documentation for %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q -n %{short_name}-%{version}-src
%patch0 -p1
sed -i 's/\r//' LICENSE.txt
sed -i 's/\r//' NOTICE.txt

# fix gId
sed -i "s|<groupId>portlet-api</groupId>|<groupId>javax.portlet</groupId>|" pom.xml

# -----------------------------------------------------------------------------

%build
# fix build with generics support
# tests fail to compile because they use an obsolete version of servlet API (2.4)
mvn-rpmbuild -Dmaven.test.skip=true -Dmaven.compile.source=1.5 -Dmaven.compile.target=1.5 install javadoc:javadoc
# -----------------------------------------------------------------------------

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 644 target/%{short_name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
    ln -sf %{name}.jar %{short_name}.jar
popd # come back from javadir

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{short_name}.pom
%add_maven_depmap JPP-%{short_name}.pom %{short_name}.jar -a "org.apache.commons:%{short_name}"

%pre javadoc
# workaround for rpm bug, can be removed in F-20
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :


%files
%doc LICENSE.txt NOTICE.txt
%{_javadir}/%{name}.jar
%{_javadir}/%{short_name}.jar
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-%{short_name}.pom

%files javadoc
%doc LICENSE.txt NOTICE.txt
%doc %{_javadocdir}/%{name}




%changelog
* Tue Feb 25 2014 luigiwalser <luigiwalser> 1.3-5.1.mga4
+ Revision: 597135
- add patch from fedora to fix CVE-2014-0050

* Tue Dec 31 2013 dmorgan <dmorgan> 1.3-5.mga4
+ Revision: 563647
- Really enable portlet support

* Tue Dec 31 2013 dmorgan <dmorgan> 1.3-4.mga4
+ Revision: 563643
- Rebuild against  portlet-2.0-api

* Mon Oct 21 2013 umeabot <umeabot> 1.3-2.mga4
+ Revision: 537737
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 1.3-1.mga4
+ Revision: 487568
- New version

* Fri Sep 20 2013 dmorgan <dmorgan> 1.2.2-13.mga4
+ Revision: 482644
- Rebuild against new javapackages

* Wed Sep 18 2013 dmorgan <dmorgan> 1.2.2-12.mga4
+ Revision: 481055
- Disable tests (they use obsolete servlet API 2.4)
- Resolves: rhbz#913878
- Add missing BR: maven-local

* Fri Jan 11 2013 umeabot <umeabot> 1.2.2-10.mga3
+ Revision: 345744
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 dmorgan <dmorgan> 1.2.2-9.mga3
+ Revision: 339848
- Add codehaus-parent as  buildrequire

* Tue Sep 11 2012 dmorgan <dmorgan> 1.2.2-8.mga3
+ Revision: 292355
- Fix deps

* Mon Jul 09 2012 dmorgan <dmorgan> 1.2.2-7.mga3
+ Revision: 269125
- Fix surefire plugin dependency to use new name

* Sun Nov 27 2011 dmorgan <dmorgan> 1.2.2-6.mga2
+ Revision: 172668
- DO not provide jakarta-commons-fileupload

* Fri Sep 23 2011 gil <gil> 1.2.2-5.mga2
+ Revision: 147121
- rebuilt with maven3 and apache-portlet-1.0-api support

* Wed Apr 27 2011 dmorgan <dmorgan> 1.2.2-3.mga1
+ Revision: 92235
- Rebuild after bootstrapping
- imported package apache-commons-fileupload

